From cb96a793c793489727b168ddc237743410f95deb Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@gmail.com>
Date: Fri, 12 Jul 2019 00:43:12 +0200
Subject: [PATCH] Make finder-exit use quit-window (Bug#33610)

* lisp/finder.el (finder-exit): Quit window instead of
deleting.
---
 lisp/finder.el | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/lisp/finder.el b/lisp/finder.el
index ad9441210c..89706cf7db 100644
--- a/lisp/finder.el
+++ b/lisp/finder.el
@@ -465,11 +465,12 @@ finder-summary
 
 (defun finder-exit ()
   "Exit Finder mode.
-Delete the window and kill all Finder-related buffers."
+Quit the window and kill all Finder-related buffers."
   (interactive)
-  (ignore-errors (delete-window))
   (let ((buf "*Finder*"))
-    (and (get-buffer buf) (kill-buffer buf))))
+    (if (equal (current-buffer) buf)
+        (quit-window t)
+      (and (get-buffer buf) (kill-buffer buf)))))
 
 (defun finder-unload-function ()
   "Unload the Finder library."
-- 
2.21.0

